<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [canPlace](./bitburner.stanek.canplace.md)

## Stanek.canPlace() method

Check if fragment can be placed at specified location.

<b>Signature:</b>

```typescript
canPlace(rootX: number, rootY: number, rotation: number, fragmentId: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootX | number | rootX Root X against which to align the top left of the fragment. |
|  rootY | number | rootY Root Y against which to align the top left of the fragment. |
|  rotation | number | rotation A number from 0 to 3, the mount of 90 degree turn to take. |
|  fragmentId | number | fragmentId ID of the fragment to place. |

<b>Returns:</b>

boolean

true if the fragment can be placed at that position. false otherwise.

## Remarks

RAM cost: 0.5 GB

